stages:
  - publish
  - archive

image: node:latest
cache:
  paths:
    - node_modules/

pages:
  stage: publish
  tags:
    - docker
  environment:
    name: master
    url: https://bibliosansfrontieres.gitlab.io/webdev/gatsby/$CI_PROJECT_NAME/
  before_script:
    - npm install
    - npm i -g gatsby-cli
    - ./node_modules/.bin/gatsby --version
    - node --version
  script:
    - PATH_PREFIX="/webdev/gatsby/$CI_PROJECT_NAME/" GATSBY_CPU_COUNT=logical_cores ./node_modules/.bin/gatsby build --prefix-paths
  artifacts:
    name: gitlab-website
    paths:
      - public
  only:
    - master

gatsby:
  stage: archive
  tags:
    - docker
  before_script:
    - npm install
    - npm i -g gatsby-cli
    - ./node_modules/.bin/gatsby --version
    - node --version
  script:
    - GATSBY_CPU_COUNT=logical_cores ./node_modules/.bin/gatsby build
  artifacts:
    name: gatsby-website
    paths:
      - public
  only:
    - master
